#
# spec file for package graphviz (Version 2.6)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libjpeg libjpeg-devel libltdl libmudflap41 libnscd libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt post-build-checks procinfo procps psmisc pwdutils rcs readline rpm sed strace swig sysvinit tar tcl tcl-devel tcpd texinfo timezone tk tk-devel unzip util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           graphviz
BuildRequires:  expat freetype2-devel gcc-c++ libjpeg-devel libpng-devel libstdc++-devel pkgconfig swig tk-devel xorg-x11-devel
Version:        2.6
Release:        46
AutoReqProv:    on
Summary:        Graph Visualization Tools
Group:          Productivity/Graphics/Visualization/Graph
Source:         http://www.graphviz.org/pub/graphviz/ARCHIVE/%{name}-%{version}.tar.bz2
Patch0:         fix-pkgIndex.diff
Patch1:         aliasing-fixes.diff
Patch2:         config-file-option.diff
Patch3:         graphviz-fix_swig_template.patch
Patch4:         graphviz-neato_splines.patch
Patch5:         graphviz-new_X_paths.patch
Patch6:         graphviz-fix_gstack_overflow.patch
Url:            http://www.graphviz.org/
License:        IBM Public License
Prefix:         /usr
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         /bin/cat

%description
A collection of tools and tcl packages for the manipulation and layout
of graphs (as in nodes and edges, not as in bar charts).



Authors:
--------
    David Dobkin <dpd@cs.princeton.edu>
    John Ellson  <ellson@graphviz.org>
    Emden Gansner <erg@research.att.com>
    Eleftherios Koutsofios <ek@research.att.com>
    Stephen North <north@research.att.com>
    Kiem-Phong Vo <kpv@research.att.com>
    Gordon Woodhull <gmcw@worldnet.att.net>

%debug_package
%package tcl
License:        IBM Public License
Group:          Development/Libraries/Tcl
Summary:        Tcl extension tools for graphviz

%description tcl
The graphviz-tcl package contains the various tcl packages (extensions)
for the graphviz tools.



Authors:
--------
    David Dobkin <dpd@cs.princeton.edu>
    John Ellson  <ellson@graphviz.org>
    Emden Gansner <erg@research.att.com>
    Eleftherios Koutsofios <ek@research.att.com>
    Stephen North <north@research.att.com>
    Kiem-Phong Vo <kpv@research.att.com>
    Gordon Woodhull <gmcw@worldnet.att.net>

%package devel
License:        IBM Public License
Group:          Development/Libraries/C and C++
Summary:        Graphiviz development package
Requires:       %{name} = %{version}
Requires:       glibc-devel tcl-devel fontconfig-devel expat freetype2-devel 
Requires:       libjpeg-devel libpng-devel zlib-devel libtool perl 
Requires:       libstdc++-devel tk-devel

%description devel
The graphviz-devel package contains all that's necessary for developing
programs that use the graphviz libraries including man3 pages.



Authors:
--------
    David Dobkin <dpd@cs.princeton.edu>
    John Ellson  <ellson@graphviz.org>
    Emden Gansner <erg@research.att.com>
    Eleftherios Koutsofios <ek@research.att.com>
    Stephen North <north@research.att.com>
    Kiem-Phong Vo <kpv@research.att.com>
    Gordon Woodhull <gmcw@worldnet.att.net>

%prep
%setup -q
%patch -p1
%patch1 -p1
#%patch2 -p1
%patch3
%patch4
%if %{suse_version} > 1010
%patch5
%endif
%patch6
# Force rebuild
#rm -f tclpkg/gv/gv_perl.cpp

%build
./autogen.sh
#perl -pi -e 's#lib/tkConfig.sh#%{_lib}/tkConfig.sh#g' \
#	 -e 's#lib/tclConfig#%{_lib}/tclConfig#g' \
#    configure.in configure
WARN_FLAGS="-W -Wall -Wno-unused-parameter -Wno-unknown-pragmas -Wstrict-prototypes -Wpointer-arith"
CFLAGS="$RPM_OPT_FLAGS $WARN_FLAGS"
%ifarch %ix86 x86_64
CFLAGS="$CFLAGS -ffast-math"
%endif
CC=gcc
RANLIB=:
export CC RANLIB
CFLAGS="$CFLAGS" \
./configure \
      --prefix=%{_prefix} \
      --bindir=%{_bindir} \
      --libdir=%{_libdir} \
      --includedir=%{_includedir} \
      --datadir=%{_datadir} \
      --mandir=%{_mandir} \
      --with-x \
      --with-mylibgd \
      --disable-dependency-tracking
make DESTDIR=$RPM_BUILD_ROOT

%install
make install DESTDIR=$RPM_BUILD_ROOT
#rm -rf $RPM_BUILD_ROOT/usr/%{_lib}/pkgconfig  # ?
mkdir -p $RPM_BUILD_ROOT/%{_docdir}
mv $RPM_BUILD_ROOT/usr/share/graphviz/doc $RPM_BUILD_ROOT/%{_docdir}/%{name}
mkdir -p $RPM_BUILD_ROOT/usr/share/tcl/graphviz
mv $RPM_BUILD_ROOT/usr/%_lib/graphviz/pkgIndex.tcl \
   $RPM_BUILD_ROOT/usr/share/tcl/graphviz
mv $RPM_BUILD_ROOT/%{_libdir}/%{name}/*tcl*.so* \
   $RPM_BUILD_ROOT/%{_libdir}/%{name}/*tk*.so* \
   $RPM_BUILD_ROOT/%{_libdir}
#dot -c -C$RPM_BUILD_ROOT/usr/lib/graphviz/config
mkdir -p $RPM_BUILD_ROOT/usr/lib/graphviz
touch $RPM_BUILD_ROOT/usr/lib/graphviz/config

%post
%{_bindir}/dot -c

%files
%defattr(-,root,root)
#%doc %{_docdir}/graphviz/
%doc doc/FAQ.html AUTHORS COPYING README NEWS ChangeLog
%doc doc/dotguide.pdf doc/dottyguide.pdf doc/leftyguide.pdf doc/neatoguide.pdf doc/Dot.ref doc/FAQ.html doc/latex_suggestions.txt
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/lefty
%{_datadir}/%{name}/graphs
%{_mandir}/man1/*.1*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libagraph.so*
%{_libdir}/%{name}/libcdt.so*
%{_libdir}/%{name}/libexpr.so*
%{_libdir}/%{name}/libgraph.so*
%{_libdir}/%{name}/libpack.so*
%{_libdir}/%{name}/libpathplan.so*
%{_libdir}/%{name}/libgvgd.so*
%{_libdir}/%{name}/libgv_perl.so*
%{_libdir}/%{name}/libgvc.so*
%{_libdir}/%{name}/libgvplugin_dot_layout.so*
%{_libdir}/%{name}/libgvplugin_neato_layout.so*
%{_libdir}/%{name}/libgvplugin_usershape_gd.so*
%{_libdir}/%{name}/libgvc_builtins.so*
%{_libdir}/libgv_tcl.so*
%dir /usr/lib/graphviz
%ghost /usr/lib/graphviz/config

%files tcl
%defattr(-,root,root)
%{_libdir}/libgdtclft.so*
%{_libdir}/libtcldot.so*
%{_libdir}/libtclplan.so*
%{_libdir}/libtkspline.so*
%dir %{_datadir}/tcl/%{name}
%{_datadir}/tcl/%{name}/pkgIndex.tcl
%{_datadir}/%{name}/demo
%{_mandir}/mann/*.n* 

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/%{name}/*.*a
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*.3*

%changelog
* Mon Oct 13 2008 - pth@suse.de
- Fix vulnerability that allowed overflowing gstack (bnc#433747)
* Fri Aug 11 2006 - pth@suse.de
- Adapt to new X11 paths.
* Mon Apr 03 2006 - pnemec@suse.cz
- add pkgconfig files to devel package
* Sun Feb 19 2006 - aj@suse.de
- Reduce BuildRequires.
* Thu Feb 09 2006 - pth@suse.de
- Fix segfault in neato when using splines (#144275)
* Fri Feb 03 2006 - pth@suse.de
- Fix swig template to include declaration.
- Fix BuildRequires
- Fix dependencies for -devel package
* Thu Nov 24 2005 - agruen@suse.de
- Add missing plugin config file.
- Fix gcc aliasing bugs.
* Mon Aug 29 2005 - agruen@suse.de
- Update to version 2.6: numerous bugfixes.
* Tue Aug 09 2005 - agruen@suse.de
- fix-pkgIndex.diff: Fix tcl library search for "package require
  Tkspline" and similar statements by (a) moving the tcl/tk
  libraries from _libdir/graphviz/ to _libdir/, and removing
  path names from library names in pkgIndex.tcl so that 32bit
  and 64bit libraries are searched as appropriate.
* Tue Aug 02 2005 - ro@suse.de
- move pkgIndex.tcl to /usr/share
* Thu Feb 10 2005 - agruen@suse.de
- Update to version 2.2.
- Drop graphviz-graphs subpackage.
* Sun Aug 29 2004 - garloff@suse.de
- Drop EULA notification message.
* Sat Mar 27 2004 - sndirsch@suse.de
- update to graphviz-1.12
  * general
    - rename bcc -> bcomps to avoid name conflict with
  "Bruce's C Compiler" on Redhat distributions.
    - all build without X11 (fix problem in lefty tree)
    - remove from distribution:
  dag, fdp, geo, grid, incr, shape, tcldgr, tcldgl
  * dotneato
    - fix "brown-bag" problem resulting in PNG and JPEG errors on
  RH8 and RH9.
- removed hunks for dag, fdp, grid, tcldgl from codecleanup patch;
  directories were dropped upstream (see 1.12 changelog above)
- no need to rename bcc any longer (see 1.12 changelog above)
- removed libtcldgl/libtcldgr (see 1.12 changelog above)
* Tue Mar 09 2004 - garloff@suse.de
- Rename bcc to bcc-graphviz due to conflict with bcc from dev86.
* Mon Mar 01 2004 - garloff@suse.de
- Update to graphviz-1.11:
  * Drop lots of patches (merged upstream) ;-)
  * dotneato: add -Gviewport, fix memleak in gdft, clean up calc
  of whitespace around labels
* Wed Feb 25 2004 - garloff@suse.de
- Update to graphviz-1.10:
  * enhanced gpr: string matching, lock primitive to save graphs
  * zoomable 2 1/2 D graph viewer (Java)
  * neato -gpack
* Fri Jan 16 2004 - meissner@suse.de
- Change freetype detection to new one, so the internal libGD is build
  against it again.
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Mon Oct 06 2003 - kukuk@suse.de
- Remove curl (source code does not use it) and lynx from
  neededforbuild.
* Mon Jul 28 2003 - ro@suse.de
- updated neededforbuild
* Tue May 13 2003 - pthomas@suse.de
- Add hacks to work around problems with libtool 1.5.
* Mon Apr 14 2003 - pthomas@suse.de
- Get rid of nearly all compiler warnings.
* Mon Apr 07 2003 - pthomas@suse.de
- Use posix-2001 conforming syntax for sort.
* Fri Feb 07 2003 - pthomas@suse.de
- Update to 1.9
- Split off subpackages devel, graphs and tcl like
  it's done in the specfile included with graphviz.
- remove obsolete patches
* Wed Jan 29 2003 - ro@suse.de
- fix png library detection in configure
- removed perl-GD and blt from neededforbuild
* Thu Jan 09 2003 - ro@suse.de
- fixed configure.in
* Thu Nov 14 2002 - tcrhak@suse.cz
- fixed for new bison: end rules with semicolons
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Sat Aug 10 2002 - aj@suse.de
- Fix typo in license.
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Tue Jul 02 2002 - garloff@suse.de
- Update to 1.8.6:
  * FPU handling fix got included
  * arch independent stuff in /usr/share/graphviz now
  * arrow fixes and improvements and more arrow types
  * new pack option to neato
  * bugfixes
- Change licensor from SuSE GmbH to SuSE Linux AG
* Wed May 22 2002 - garloff@suse.de
- Add prune binary and man page to file list.
* Fri May 10 2002 - garloff@suse.de
- Fix FPU excpetion handling. (Use feenableexcept() rather than
  _FPU_GETCW(), if available.)
* Wed May 08 2002 - garloff@suse.de
- Update to graphviz-1.8.5:
  * fixed various Win and MacOSX probs
  * minimal Type1 font support
  * webdot.cgi perl script accepts same args as webgot.tcl now
  * various SVG enhancements and fixes
  * various portability/64bit fixes
  * various bug fixes
* Fri May 03 2002 - meissner@suse.de
- %%_lib fixes (to find tclConfig.sh and tkConfig.sh)
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Jan 28 2002 - garloff@suse.de
- Some more missing decls found and fixed.
* Mon Jan 28 2002 - garloff@suse.de
- Added patch to fix lots of warnings (and potential bugs on 64bit
  platforms).
* Mon Jan 28 2002 - garloff@suse.de
- Pass TK_DEFS to gcc for tkspline (which uses tkInt.h)
* Mon Jan 28 2002 - garloff@suse.de
- Update to 1.7.16:
  * Various bug fixes
  * Support for xfig, svgz,
  * Text output improvements
  * New twopi tool
- Drop patches that have been included in official source ball.
* Wed May 23 2001 - garloff@suse.de
- Fix cast warnings on 64bit archs and add missing includes
  where necessary.
* Wed May 09 2001 - garloff@suse.de
- Cleanup patches.
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Mon Apr 30 2001 - garloff@suse.de
- Update to release 1.7.6 with lots of bugfixes:
  * Lots of font related fixes
  * Fix various bugs WRT labels
  * UTF-8 fixes
  * cluster and neato layout fixes
  * -Timap (mouse sensitive graphs for web pages) fixes
  * PNG by default does white background now instead of transp.
- New features in 1.7.6:
  * New graph processing tools: acyclic, ccomps, colorize, gc,
  gpr, nop, sccmap, tred, unflatten (See ChangeLog for details)
- Spec file: Consistently use %%{prefix}
* Thu Mar 22 2001 - ro@suse.de
- changed neededforbuild to freetype2
- updated to 1.7.5 for freetype2
* Mon Feb 26 2001 - uli@suse.de
- fixed for new glibc
* Fri Jan 19 2001 - garloff@suse.de
- Assorted patches from Stephen C. North to
  * fix runtime error in graphs having multiple nodes in the min
  or max rank set
  * fix layout thinko (mincross)
* Sat Dec 16 2000 - garloff@suse.de
- Update to 1.7.4:
  * various fixes
  * support various linestyles
  * Remove Tcldot dependence on libgdtclft
  * support for long label strings (fixing a reported crash)
* Tue Dec 12 2000 - garloff@suse.de
- Specfile cleanups.
* Tue Dec 12 2000 - garloff@suse.de
- Update to 1.7.3:
  * Better font drawing support
  * Bugfixes
- Removed most explicit Requires: from spec, as AutoReqProv works
  just fine.
- Split off webdot.
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Wed Nov 08 2000 - ro@suse.de
- fixed neededforbuild gd -> perl-GD
* Wed Nov 01 2000 - garloff@suse.de
- Use %%{?suse_update_config} -> support for S/390 added
* Tue Oct 31 2000 - garloff@suse.de
- Update to 1.7: * dot/neato again separate binaries
  * 64 bit patches integrated
  * Some bugfixes and feature enhancements
* Wed Oct 18 2000 - garloff@suse.de
- Change the wording of the license notification to match the
  wording from the letter from AT&T.
* Tue Sep 19 2000 - garloff@suse.de
- Cleanups for 64 bit archs.
* Mon Sep 18 2000 - garloff@suse.de
- Add a notification for the sysadmin, that (s)he and the users
  need to agree with the license termn in MINTERMS.txt. According
  to "Stephen C. North" <north@research.att.com>, this is all that
  needs to be done to fulfill the license requirements.
* Wed Sep 06 2000 - garloff@suse.de
- LICENSOR is SuSE: Filled in MINTERMS.txt
* Tue Sep 05 2000 - garloff@suse.de
- Creation of package graphviz-1.6
- Fix lneato Makefile to install into $DESTDIR
